Skip to main content

Clean up and Re-Run the job for a given dataset

cleans up by default last job execution and related metrics, unless 'all' flag is set in request

Path Parameters
id string — REQUIRED

Dataset Id

Query Parameters
all boolean

flag for all or last

Responses
200

The user

Schema — OPTIONAL
id string — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string
executionMode string — OPTIONAL

Possible values: [batch, streaming]

schedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
status string — OPTIONAL

Possible values: [active, paused]

priority int32 — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
404

error cleaning job execution for datasetId id